@echo off
echo ******************************
echo ******************************
echo **                          **
echo ** THE DESCENT: LOST LEVELS **
echo **       WEAPONS MOD        **
echo **        INSTALLER         **
echo **                          **
echo ******************************
echo ******************************

echo This batch file will allow you to play Descent: The Lost Levels
echo the way it was meant to be played. With modified weapons!!!!
echo Your original Descent2.ham file will not be harmed or corrupted in
echo any way!
echo .
echo Do you want to install the weapons mod?
echo (y) Yes
echo (n) No
choice /n /c:yn
if errorlevel 2 goto quit
if errorlevel 1 goto install

:install
copy ../../data/descent2.ham ../../data/d2-orig.ham
copy lostlvls.ham ../../data/descent2.ham
copy lostlvls.txb ../../data/descent.txb
copy lostlvls.sng ../../data/descent.sng
echo The weapons mod was installed successfully!
echo Which version do you want to start?
echo (w) Win 95 Version
echo (d) Dos Version
choice /n /c:wd
if errorlevel 2 goto dos
if errorlevel 1 goto win95

:win95
descen~1
echo Thank you for playing!
echo Now you must uninstall the weapons......
pause
copy ../../data/d2-orig.ham ../../data/descent2.ham
del descent.txb
del descent.sng
echo Weapons uninstalled.
goto end

:dos
descent2
echo Thank you for playing!
echo Now you must uninstall the weapons......
pause
copy ../../data/d2-orig.ham ../../data/descent2.ham
del descent.txb
del descent.sng
echo Weapons uninstalled.
goto end

:quit
echo The installation was aborted!
goto end

:end

